Subject: Re: AlacrityVM numbers updated for 31-rc4

From: Gregory Haskins <[email-masked]>
Date: Wed, 12 Aug 2009 19:21:25 -0400

Anthony Liguori wrote:
> Gregory Haskins wrote:
>> I re-ran the numbers on 10GE against the actual alacrityvm v0.1 release
>> available in git on kernel.org.
>>
>> I tried to include the newly announced "vhost" driver (Michael Tsirkin)
>> for virtio acceleration, but ran into issues getting the patches to
>> apply.
>>
>> For now, this includes native, virtio-u (virtio-userspace), and venet
>> all running on 31-rc4.  If I can resolve the issue with Michaels
>> patches, I will add "virtio-k" (virtio-kernel) to the mix as well.  For
>> now, here are the results for 1500mtu:
>>
>> native:   7388Mb/s,   29.8us rtt (33505 tps udp-rr)
>> venet:    3654Mb/s,   56.8us rtt (17600 tps udp-rr)
>> virtio-u: 1955Mb/s, 4016.0us rtt (  249 tps udp-rr)
>>   
> 
> Just FYI, the numbers quoted are wrong for virtio-u.  Greg's machine
> didn't have high res timers enabled in the kernel.  He'll post newer
> numbers later but they're much better than these (venet is still ahead
> though).
> 
> Regards,
> 
> Anthony Liguori

Anthony is correct.  The new numbers after fixing the HRT clock issue are:

virtio-u: 2670Mb/s, 266us rtt (3764 tps udp-rr)

I will update the charts later tonight.

Sorry for the confusion.

-Greg